"""Class that abstracts character movement control"""

import game, entity

class Controller:
    """Abstracts character movement and control"""
    def __init__(self, keys):
        self.mouse = {1:False, 2:False, "pos":(0, 0)}
        self.keys = dict([(x, False) for x in keys])
